Linux tsuru-no-tsurugi 5.15.0-186-generic #196-Ubuntu SMP Sat Jun 20 16:09:34 UTC 2026 x86_64
Apache/2.4.52 (Ubuntu)
Server IP : 192.168.0.18 & Your IP : 216.73.217.105
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
etc /
rc3.d /
Delete
Unzip
Name
Size
Permission
Date
Action
K01apache-htcacheclean
2.43
KB
-rwxr-xr-x
2023-12-05 03:58
S01apache2
7.99
KB
-rwxr-xr-x
2023-12-05 03:58
S01apport
2.85
KB
-rwxr-xr-x
2025-05-23 05:40
S01console-setup.sh
1.2
KB
-rwxr-xr-x
2021-11-23 01:39
S01cron
2.99
KB
-rwxr-xr-x
2021-03-18 08:14
S01dbus
3.08
KB
-rwxr-xr-x
2021-06-28 21:15
S01dovecot
5.12
KB
-rwxr-xr-x
2022-11-15 09:32
S01grub-common
985
B
-rwxr-xr-x
2022-12-03 00:18
S01irqbalance
2.58
KB
-rwxr-xr-x
2021-10-30 19:55
S01iwpmd
2.11
KB
-rwxr-xr-x
2022-01-28 03:57
S01lvm2-lvmpolld
586
B
-rwxr-xr-x
2021-05-19 19:19
S01mysql
5.82
KB
-rwxr-xr-x
2024-10-14 20:29
S01nginx
4.47
KB
-rwxr-xr-x
2023-05-31 02:31
S01nmbd
1.89
KB
-rwxr-xr-x
2024-01-06 06:23
S01open-vm-tools
1.8
KB
-rwxr-xr-x
2023-11-30 09:10
S01openvswitch-switch
4.38
KB
-rwxr-xr-x
2023-06-30 00:51
S01plymouth
1.35
KB
-rwxr-xr-x
2022-02-23 23:15
S01postfix
3.02
KB
-rwxr-xr-x
2023-03-30 11:04
S01redis-server
1.58
KB
-rwxr-xr-x
2021-10-04 22:37
S01rsync
4.31
KB
-rwxr-xr-x
2022-10-12 07:37
S01samba-ad-dc
2.21
KB
-rwxr-xr-x
2024-01-06 06:23
S01smbd
2.01
KB
-rwxr-xr-x
2024-01-06 06:23
S01ssh
3.96
KB
-rwxr-xr-x
2023-01-11 20:09
S01supervisor
3.64
KB
-rwxr-xr-x
2020-09-11 19:59
S01unattended-upgrades
1.36
KB
-rwxr-xr-x
2021-02-19 21:11
S01uuidd
1.28
KB
-rwxr-xr-x
2022-02-21 10:49
Save
Rename
#!/bin/bash # ### BEGIN INIT INFO # Provides: mysql # Required-Start: $remote_fs $syslog # Required-Stop: $remote_fs $syslog # Should-Start: $network $named $time # Should-Stop: $network $named $time # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Start and stop the mysql database server daemon # Description: Controls the main MariaDB database server daemon "mariadbd" # and its wrapper script "mysqld_safe". ### END INIT INFO # set -e set -u ${DEBIAN_SCRIPT_DEBUG:+ set -v -x} test -x /usr/sbin/mariadbd || exit 0 . /lib/lsb/init-functions SELF=$(cd $(dirname $0); pwd -P)/$(basename $0) MYADMIN="/usr/bin/mysqladmin --defaults-file=/etc/mysql/debian.cnf" # priority can be overridden and "-s" adds output to stderr ERR_LOGGER="logger -p daemon.err -t /etc/init.d/mariadb -i" if [ -f /etc/default/mysql ]; then . /etc/default/mysql fi # Also source default/mariadb in case the installation was upgraded from # packages originally installed from MariaDB.org repositories, which have # had support for reading /etc/default/mariadb since March 2016. if [ -f /etc/default/mariadb ]; then . /etc/default/mariadb fi # Safeguard (relative paths, core dumps..) cd / umask 077 # mysqladmin likes to read /root/.my.cnf. This is usually not what I want # as many admins e.g. only store a password without a username there and # so break my scripts. export HOME=/etc/mysql/ ## Fetch a particular option from mysql's invocation. # # Usage: void mariadbd_get_param option mariadbd_get_param() { /usr/sbin/mariadbd --print-defaults \ | tr " " "\n" \ | grep -- "--$1" \ | tail -n 1 \ | cut -d= -f2 } ## Do some sanity checks before even trying to start mariadbd. sanity_checks() { # check for config file if [ ! -r /etc/mysql/my.cnf ]; then log_warning_msg "$0: WARNING: /etc/mysql/my.cnf cannot be read. See README.Debian.gz" echo "WARNING: /etc/mysql/my.cnf cannot be read. See README.Debian.gz" | $ERR_LOGGER fi # check for diskspace shortage datadir=`mariadbd_get_param datadir` if LC_ALL=C BLOCKSIZE= df --portability $datadir/. | tail -n 1 | awk '{ exit ($4>4096) }'; then log_failure_msg "$0: ERROR: The partition with $datadir is too full!" echo "ERROR: The partition with $datadir is too full!" | $ERR_LOGGER exit 1 fi } ## Checks if there is a server running and if so if it is accessible. # # check_alive insists on a pingable server # check_dead also fails if there is a lost mariadbd in the process list # # Usage: boolean mariadbd_status [check_alive|check_dead] [warn|nowarn] mariadbd_status () { ping_output=`$MYADMIN ping 2>&1`; ping_alive=$(( ! $? )) ps_alive=0 pidfile=`mariadbd_get_param pid-file` if [ -f "$pidfile" ] && ps `cat $pidfile` >/dev/null 2>&1; then ps_alive=1; fi if [ "$1" = "check_alive" -a $ping_alive = 1 ] || [ "$1" = "check_dead" -a $ping_alive = 0 -a $ps_alive = 0 ]; then return 0 # EXIT_SUCCESS else if [ "$2" = "warn" ]; then echo -e "$ps_alive processes alive and '$MYADMIN ping' resulted in\n$ping_output\n" | $ERR_LOGGER -p daemon.debug fi return 1 # EXIT_FAILURE fi } # # main() # case "${1:-''}" in 'start') sanity_checks; # Start daemon log_daemon_msg "Starting MariaDB database server" "mariadbd" if mariadbd_status check_alive nowarn; then log_progress_msg "already running" log_end_msg 0 else # Could be removed during boot test -e /run/mysqld || install -m 755 -o mysql -g root -d /run/mysqld # Start MariaDB! /usr/bin/mysqld_safe "${@:2}" 2>&1 >/dev/null | $ERR_LOGGER & for i in $(seq 1 "${MYSQLD_STARTUP_TIMEOUT:-30}"); do sleep 1 if mariadbd_status check_alive nowarn ; then break; fi log_progress_msg "." done if mariadbd_status check_alive warn; then log_end_msg 0 # Now start mysqlcheck or whatever the admin wants. output=$(/etc/mysql/debian-start) if [ -n "$output" ]; then log_action_msg "$output" fi else log_end_msg 1 log_failure_msg "Please take a look at the syslog" fi fi ;; 'stop') # * As a passwordless mysqladmin (e.g. via ~/.my.cnf) must be possible # at least for cron, we can rely on it here, too. (although we have # to specify it explicit as e.g. sudo environments points to the normal # users home and not /root) log_daemon_msg "Stopping MariaDB database server" "mariadbd" if ! mariadbd_status check_dead nowarn; then set +e shutdown_out=`$MYADMIN shutdown 2>&1`; r=$? set -e if [ "$r" -ne 0 ]; then log_end_msg 1 [ "$VERBOSE" != "no" ] && log_failure_msg "Error: $shutdown_out" log_daemon_msg "Killing MariaDB database server by signal" "mariadbd" killall -15 mariadbd server_down= for i in `seq 1 600`; do sleep 1 if mariadbd_status check_dead nowarn; then server_down=1; break; fi done if test -z "$server_down"; then killall -9 mariadbd; fi fi fi if ! mariadbd_status check_dead warn; then log_end_msg 1 log_failure_msg "Please stop MariaDB manually and read /usr/share/doc/mariadb-server-10.6/README.Debian.gz!" exit -1 else log_end_msg 0 fi ;; 'restart') set +e; $SELF stop; set -e shift $SELF start "${@}" ;; 'reload'|'force-reload') log_daemon_msg "Reloading MariaDB database server" "mariadbd" $MYADMIN reload log_end_msg 0 ;; 'status') if mariadbd_status check_alive nowarn; then log_action_msg "$($MYADMIN version)" else log_action_msg "MariaDB is stopped." exit 3 fi ;; 'bootstrap') # Bootstrap the cluster, start the first node # that initiates the cluster log_daemon_msg "Bootstrapping the cluster" "mariadbd" $SELF start "${@:2}" --wsrep-new-cluster ;; *) echo "Usage: $SELF start|stop|restart|reload|force-reload|status" exit 1 ;; esac